# H501_ContactInformation Class Reference

`#include <h501.h>`

Inheritance diagram for H501_ContactInformation:

List of all members.

## Public Types

enum | OptionalFields { e_transportQoS, e_security, e_accessTokens, e_multipleCalls, e_featureSet, e_circuitID, e_supportedCircuits }

## Public Member Functions

| H501_ContactInformation (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_AliasAddress | m_transportAddress
PASN_Integer | m_priority
H225_TransportQOS | m_transportQoS
H501_ArrayOf_SecurityMode | m_security
H501_ArrayOf_AccessToken | m_accessTokens
PASN_Boolean | m_multipleCalls
H225_FeatureSet | m_featureSet
H225_CircuitInfo | m_circuitID
H501_ArrayOf_CircuitIdentifier | m_supportedCircuits

## Member Enumeration Documentation

enum H501_ContactInformation::OptionalFields

Enumerator:

  e_transportQoS |
  e_security |
  e_accessTokens |
  e_multipleCalls |
  e_featureSet |
  e_circuitID |
  e_supportedCircuits |

## Constructor & Destructor Documentation

H501_ContactInformation::H501_ContactInformation | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H501_ContactInformation::GetDataLength | ( |  | ) | const

PBoolean H501_ContactInformation::Decode | ( | PASN_Stream & | strm | ) |

void H501_ContactInformation::Encode | ( | PASN_Stream & | strm | ) | const

void H501_ContactInformation::PrintOn | ( | ostream & | strm | ) | const

Comparison H501_ContactInformation::Compare | ( | const PObject & | obj | ) | const

PObject* H501_ContactInformation::Clone | ( |  | ) | const

## Member Data Documentation

H225_AliasAddress H501_ContactInformation::m_transportAddress

PASN_Integer H501_ContactInformation::m_priority

H225_TransportQOS H501_ContactInformation::m_transportQoS

H501_ArrayOf_SecurityMode H501_ContactInformation::m_security

H501_ArrayOf_AccessToken H501_ContactInformation::m_accessTokens

PASN_Boolean H501_ContactInformation::m_multipleCalls

H225_FeatureSet H501_ContactInformation::m_featureSet

H225_CircuitInfo H501_ContactInformation::m_circuitID

H501_ArrayOf_CircuitIdentifier H501_ContactInformation::m_supportedCircuits

The documentation for this class was generated from the following file:

- h501.h